domains

POST /v1/domains/{domainId}/email-routing/rules

Add a forwarding rule.

Semua titik akhir domains

Autentikasi

Kirim kunci API sebagai token bearer. Kunci tersebut harus memiliki izin domains.dns.manage; kunci tanpa izin tersebut akan ditolak dengan status 403, bukan 404.

Endpoint ini tidak memerlukan id organisasi. Kunci Anda telah mengidentifikasi organisasi tempatnya berafiliasi, dan respons akan dibatasi untuk organisasi tersebut.

Coba

Ganti apa pun di dalam tanda kurung sudut dengan nilai Anda sendiri, dan placeholder kunci dengan kunci dari dasbor Anda.

curl -X POST https://api.zinndigital.com/v1/domains/{domainId}/email-routing/rules \
  -H "Authorization: Bearer zdk_live_…" \
  -H "Content-Type: application/json" \
  -d '{ "matcher": <string>, "destinations": <string[]> }'

Sudah masuk? Konsol API di dasbor Anda akan mengisi ID organisasi asli dan kunci Anda sendiri, serta menjalankan permintaan terhadap API langsung sehingga Anda dapat melihat respons aktualnya. Buka titik akhir ini di konsol API

Detail

Forward mail for one address to one or more verified destinations, or drop it. `drop` is a chosen behaviour and is never inferred from an empty destination list. Requires `domains.dns.manage`.

Parameter

NamaJenisWajibTentang apa ini
domainId (path)UuidYaThe domain's id.

Isi permintaan

NamaJenisWajibTentang apa ini
matcherstringYa
destinationsstring[]Ya
actionEmailRoutingActionTidak`drop` is a chosen behaviour — it is how a catch-all silently discards spam — and is never inferred from an empty destination list.
namestringTidak
enabledbooleanTidak

Tanggapan

NamaJenisWajibTentang apa ini
rule_idstringYa
matcherstringYaThe address this rule applies to. Empty for the catch-all.
destinationsstring[]Ya
actionEmailRoutingActionYa`drop` is a chosen behaviour — it is how a catch-all silently discards spam — and is never inferred from an empty destination list.
namestringYa
enabledbooleanYa
catch_allbooleanYa
unsupportedbooleanYa`true` when the provider's rule uses a shape this API cannot express — a Worker target, say. Such a rule is shown read-only rather than hidden: hiding it would make this screen…

Kesalahan yang dapat dikembalikan oleh titik akhir ini

401 · 403 · 404 · 422 · 429 · 503